## wifi-radar 1.9.7

=== Makefile ===
#
# $Id: Makefile 47 2006-03-27 23:09:45Z finley $
#  vi:set filetype=make:
#

SHELL = /bin/sh

#
# These settings are what I would expect for most modern Linux distros, 
# and are what work for me unmodified on Ubuntu. -BEF-
# 
sbindir 	= /usr/sbin
initdir 	= /etc/init.d
sysconfdir 	= /etc/wifi-radar
mandir 		= /usr/share/man
pixmapsdir 	= /usr/share/pixmaps
appsdir 	= /usr/share/applications

srcdir = .
top_srcdir = .
top_builddir = .

VERSION = $(shell cat VERSION)

TOPDIR := $(CURDIR)


.PHONY: all
all:	wifi-radar.localized

.PHONY: install
install:	all
	test -d ${sysconfdir} || install -d -m 755 ${sysconfdir}
	test -e ${sysconfdir}/wifi-radar.conf || install -m 644 wifi-radar.conf	${sysconfdir}
	
	test -d ${sbindir} || install -d -m 755 ${sbindir}
	install -m 755 wifi-radar.localized	${sbindir}/wifi-radar
	
	test -d ${mandir}/man1 || install -d -m 755 ${mandir}/man1
	install -m 644 wifi-radar.1 		${mandir}/man1
	
	test -d ${mandir}/man5 || install -d -m 755 ${mandir}/man5
	install -m 644 wifi-radar.conf.5 	${mandir}/man5
	
	test -d ${initdir} || install -d -m 755 ${initdir}
	install -m 755 init_script 			${initdir}/wifi-radar
	
	test -d ${pixmapsdir} || install -d -m 755 ${pixmapsdir}
	install -m 644 pixmaps/wifi-radar.svg	${pixmapsdir}
	install -m 644 pixmaps/wifi-radar.png	${pixmapsdir}
	
	test -d ${appsdir} || install -d -m 755 ${appsdir}
	install -m 644 wifi-radar.desktop	${appsdir}
	

wifi-radar.localized:	wifi-radar
	cp wifi-radar wifi-radar.tmp
	perl -pi -e 's#^WIFI_RADAR_VERSION\s+=.*#WIFI_RADAR_VERSION = "${VERSION}"#' wifi-radar.tmp
	perl -pi -e 's#^CONF_FILE\s+=.*#CONF_FILE = "${sysconfdir}/wifi-radar.conf"#' wifi-radar.tmp
	mv wifi-radar.tmp wifi-radar.localized

.PHONY: tarball
tarball: $(TOPDIR)/tmp/wifi-radar-$(VERSION).tar.bz2.sign
$(TOPDIR)/tmp/wifi-radar-$(VERSION).tar.bz2.sign: $(TOPDIR)/tmp/wifi-radar-$(VERSION).tar.bz2
	cd $(TOPDIR)/tmp && gpg --detach-sign -a --output wifi-radar-$(VERSION).tar.bz2.sign wifi-radar-$(VERSION).tar.bz2
	cd $(TOPDIR)/tmp && gpg --verify wifi-radar-$(VERSION).tar.bz2.sign

$(TOPDIR)/tmp/wifi-radar-$(VERSION).tar.bz2:
	rm -fr $(TOPDIR)/tmp
	mkdir -p $(TOPDIR)/tmp/
	svn export . $(TOPDIR)/tmp/wifi-radar-$(VERSION)
	find $(TOPDIR)/tmp/wifi-radar-$(VERSION) -type f -exec chmod ug+r  {} \;
	find $(TOPDIR)/tmp/wifi-radar-$(VERSION) -type d -exec chmod ug+rx {} \;
	chmod 755 $(TOPDIR)/tmp/wifi-radar-$(VERSION)/wifi-radar
	cd $(TOPDIR)/tmp && tar -ch wifi-radar-$(VERSION) | bzip2 > wifi-radar-$(VERSION).tar.bz2
	ls -l $(TOPDIR)/tmp/



.PHONY: clean
clean:
	rm -f  wifi-radar.localized
	rm -fr tmp/

.PHONY: distclean
distclean: clean

## wifi-radar 1.9.9

=== Makefile ===
#
# $Id: Makefile 101 2008-03-12 15:36:39Z finley $
#  vi:set filetype=make:
#

SHELL = /bin/sh

#
# These settings are what I would expect for most modern Linux distros, 
# and are what work for me unmodified on Ubuntu. -BEF-
# 
package 	= wifi-radar
sbindir 	= $(DESTDIR)/usr/sbin
initdir 	= $(DESTDIR)/etc/init.d
sysconfdir 	= $(DESTDIR)/etc/
mandir 		= $(DESTDIR)/usr/share/man
pixmapsdir 	= $(DESTDIR)/usr/share/pixmaps
appsdir 	= $(DESTDIR)/usr/share/applications

srcdir = .
top_srcdir = .
top_builddir = .

VERSION = $(shell cat VERSION)

TOPDIR := $(CURDIR)


.PHONY: all
all:	wifi-radar.localized

.PHONY: install
install:	all
	test -d ${sysconfdir} || install -d -m 755 ${sysconfdir}
	test -e ${sysconfdir}/wifi-radar.conf || install -m 644 wifi-radar.conf	${sysconfdir}
	
	test -d ${sbindir} || install -d -m 755 ${sbindir}
	install -m 755 wifi-radar.localized	${sbindir}/wifi-radar
	
	test -d ${mandir}/man1 || install -d -m 755 ${mandir}/man1
	install -m 644 wifi-radar.1 		${mandir}/man1
	
	test -d ${mandir}/man5 || install -d -m 755 ${mandir}/man5
	install -m 644 wifi-radar.conf.5 	${mandir}/man5
	
	test -d ${pixmapsdir} || install -d -m 755 ${pixmapsdir}
	install -m 644 pixmaps/wifi-radar.svg	${pixmapsdir}
	install -m 644 pixmaps/wifi-radar.png	${pixmapsdir}
	
	test -d ${appsdir} || install -d -m 755 ${appsdir}
	install -m 644 wifi-radar.desktop	${appsdir}
	

wifi-radar.localized:	wifi-radar
	cp wifi-radar wifi-radar.tmp
	perl -pi -e 's#^WIFI_RADAR_VERSION\s+=.*#WIFI_RADAR_VERSION = "${VERSION}"#' wifi-radar.tmp
#	perl -pi -e 's#^CONF_FILE\s+=.*#CONF_FILE = "${sysconfdir}/wifi-radar.conf"#' wifi-radar.tmp
	mv wifi-radar.tmp wifi-radar.localized

.PHONY: tarball
tarball: $(TOPDIR)/tmp/${package}-$(VERSION).tar.bz2.sign
$(TOPDIR)/tmp/${package}-$(VERSION).tar.bz2.sign: $(TOPDIR)/tmp/${package}-$(VERSION).tar.bz2
	cd $(TOPDIR)/tmp && gpg --detach-sign -a --output ${package}-$(VERSION).tar.bz2.sign ${package}-$(VERSION).tar.bz2
	cd $(TOPDIR)/tmp && gpg --verify ${package}-$(VERSION).tar.bz2.sign

$(TOPDIR)/tmp/${package}-$(VERSION).tar.bz2:
	@echo
	@echo "I will now do an 'svn up' to make sure we're packaging the most current"
	@echo "version of this code."
	@echo
	@echo 'Hit <ctrl>+<c> now to cancel!!!  or hit <Enter> to proceed.'
	@read i
	svn up
	rm -fr $(TOPDIR)/tmp
	mkdir -p $(TOPDIR)/tmp/
	svn export . $(TOPDIR)/tmp/${package}-$(VERSION)
	svn log > $(TOPDIR)/tmp/${package}-$(VERSION)/CHANGE.LOG
	find $(TOPDIR)/tmp/${package}-$(VERSION) -type f -exec chmod ug+r  {} \;
	find $(TOPDIR)/tmp/${package}-$(VERSION) -type d -exec chmod ug+rx {} \;
	chmod 755 $(TOPDIR)/tmp/${package}-$(VERSION)/wifi-radar
	cd $(TOPDIR)/tmp && tar -ch ${package}-$(VERSION) | bzip2 > ${package}-$(VERSION).tar.bz2
	ls -l $(TOPDIR)/tmp/



.PHONY: clean
clean:
	rm -f  wifi-radar.localized
	rm -fr tmp/

.PHONY: distclean
distclean: clean

## wifi-radar 2.0.s08+dfsg

=== Makefile ===
#
# Makefile for WiFi Radar
#

SHELL = /bin/sh

#
# These settings are what I would expect for most modern Linux distros, 
# and are what work for me unmodified on Ubuntu. -BEF-
# 
package 	= wifi-radar
sbindir 	= $(DESTDIR)/sbin
initdir 	= $(DESTDIR)/etc/init.d
sysconfdir 	= $(DESTDIR)/etc/
mandir 		= $(DESTDIR)/share/man
pixmapsdir 	= $(DESTDIR)/share/pixmaps
appsdir 	= $(DESTDIR)/share/applications

srcdir = .
top_srcdir = .
top_builddir = .

VERSION = $(shell cat $(srcdir)/docs/VERSION)

BRANCH = $(shell echo v$(shell cat $(srcdir)/docs/VERSION | cut -d. -f1-2).x)

TOPDIR := $(CURDIR)


.PHONY: all install tarball dev-docs changelog clean distclean

all:	wifi-radar.localized

install:	all
	test -d ${sysconfdir} || install -d -m 755 ${sysconfdir}
	
	test -d ${sbindir} || install -d -m 755 ${sbindir}
	install -m 755 wifi-radar.localized ${sbindir}/wifi-radar
	
	test -d ${mandir}/man1 || install -d -m 755 ${mandir}/man1
	install -m 644 man/man1/wifi-radar.1 ${mandir}/man1
	
	test -d ${mandir}/man5 || install -d -m 755 ${mandir}/man5
	install -m 644 man/man5/wifi-radar.conf.5 ${mandir}/man5
	
	test -d ${pixmapsdir} || install -d -m 755 ${pixmapsdir}
	install -m 644 pixmaps/wifi-radar.svg ${pixmapsdir}
	install -m 644 pixmaps/wifi-radar.png ${pixmapsdir}
	
	test -d ${appsdir} || install -d -m 755 ${appsdir}
	install -m 644 wifi-radar.desktop ${appsdir}


wifi-radar.localized:	wifi-radar
	cp wifi-radar wifi-radar.tmp
	perl -pi -e 's#^CONF_FILE\s+=.*#CONF_FILE = "${sysconfdir}/wifi-radar.conf"#' wifi-radar.tmp
	mv wifi-radar.tmp wifi-radar.localized

tarball: $(TOPDIR)/tmp/${package}-$(VERSION).tar.bz2.sign $(TOPDIR)/tmp/${package}-$(VERSION).tar.bz2.sha256

$(TOPDIR)/tmp/${package}-$(VERSION).tar.bz2.sign: $(TOPDIR)/tmp/${package}-$(VERSION).tar.bz2
	cd $(TOPDIR)/tmp && gpg --detach-sign -a --output ${package}-$(VERSION).tar.bz2.asc ${package}-$(VERSION).tar.bz2
	cd $(TOPDIR)/tmp && chmod 644 ${package}-$(VERSION).tar.bz2.asc
	cd $(TOPDIR)/tmp && gpg --verify ${package}-$(VERSION).tar.bz2.asc

$(TOPDIR)/tmp/${package}-$(VERSION).tar.bz2.sha256:
	cd $(TOPDIR)/tmp && sha256sum ${package}-$(VERSION).tar.bz2 > ${package}-$(VERSION).tar.bz2.sha256

$(TOPDIR)/tmp/${package}-$(VERSION).tar.bz2:
	rm -fr $(TOPDIR)/tmp
	mkdir -p $(TOPDIR)/tmp/
	git archive --format=tar --prefix=${package}-$(VERSION)/ $(BRANCH) | (cd $(TOPDIR)/tmp/ && tar xf -)
	find $(TOPDIR)/tmp/${package}-$(VERSION) -type f -exec chmod ug+r  {} \;
	find $(TOPDIR)/tmp/${package}-$(VERSION) -type d -exec chmod ug+rx {} \;
	perl -pi -e 's#^WIFI_RADAR_VERSION\s+=.*#WIFI_RADAR_VERSION = "${VERSION}"#' $(TOPDIR)/tmp/${package}-$(VERSION)/wifi-radar
	chmod 755 $(TOPDIR)/tmp/${package}-$(VERSION)/wifi-radar
	cd $(TOPDIR)/tmp && tar -ch ${package}-$(VERSION) | bzip2 > ${package}-$(VERSION).tar.bz2
	cd $(TOPDIR)/tmp && chmod 644 ${package}-$(VERSION).tar.bz2
	ls -l $(TOPDIR)/tmp/

dev-docs:
	~/inprogress/HappyDoc3-r3_1/happydoc -d docs/developer/ wifi-radar.py

changelog:
	mkdir -p $(TOPDIR)/tmp/
	git log | perl -pi -e 's/</&lt;/g; s/>/&gt;/g; s/@/@<!-- com.com -->/g;' > $(TOPDIR)/tmp/CHANGELOG

clean:
	rm -f  wifi-radar.localized
	rm -fr tmp/

distclean: clean

=== debian/changelog ===
wifi-radar (2.0.s08+dfsg-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #867755)
  * Update the dependency from the no longer existing dhcp3-client
    to isc-dhcp-client. (Closes: #680980)
  * Update the upstream homepage address and watch file.

 -- Adrian Bunk <bunk@debian.org>  Sat, 15 Jul 2017 20:33:16 +0300

wifi-radar (2.0.s08+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #628206
    - Indonesian (Mahyuddin Susanto).  Closes: #657826
    - Polish (Michał Kułach).  Closes: #658350

 -- Christian Perrier <bubulle@debian.org>  Sat, 11 Feb 2012 08:40:38 +0100

wifi-radar (2.0.s08+dfsg-1) unstable; urgency=low

  * Imported Upstream version 2.0.s08+dfsg (Closes: #520845, #544122)
    - this bug should be fixed with s05, but it can't be reproduced 
      anymore here, therefore I'm closing this now.
  * Acknowledge NMU of Christian: (Closes: #549970)
  * correct watch file to work correctly
  * Switch to source/format 3.0 (quilt)
  * Bump policy to 3.9.1 - no further changes needed
  * Remove obsolete config file /etc/init.d/wifi-radar (Closes: #588110)
  * Add new debconf translation for Brazilian Portuguese 
    (Closes: #608528)

 -- Patrick Winnertz <winnie@debian.org>  Fri, 11 Feb 2011 16:27:35 +0100

wifi-radar (2.0.s05-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Explicitly use 1.0 as source format
  * Fix pending l10n issues. Debconf translations:
    - Finnish (Esko Arajärvi).  Closes: #549970

 -- Christian Perrier <bubulle@debian.org>  Sat, 24 Apr 2010 12:14:56 +0200

wifi-radar (2.0.s05-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix upstream home page in copyright, watch and control files
    Closes: #540714
  * Fix pending l10n issues. Debconf translations:
    - Italian (Luca Monducci).  Closes: #504994
    - Russian (Yuri Kozlov).  Closes: #543181
    - Vietnamese (Clytie Siddall).  Closes: #549297
    - Italian (Luca Monducci).  Closes: #549577

 -- Christian Perrier <bubulle@debian.org>  Thu, 08 Oct 2009 20:29:09 +0200

wifi-radar (2.0.s05-1) unstable; urgency=low

  * New upstream version
    - does not save configuration every run, in order to do not wast disk 
      resources (Closes: #468412)
    - Configuration does not longer disappear after some runs (Closes: #511338)
    - wifi-radar now creates the configuration file if it is 
      missing (Closes: #490667)
  * Patch makefile in order to respect PREFIX
  * Rediffed wifi-radar.desktop patch
  * Added Depends on menu as we use su-to-root in .desktop (Closes: #521583)
  * Updated package to for policy 3.8.2, no further changes needed
  * Removed init script as upstream doesn't support any longer the daemon mode of wifi-radar

 -- Patrick Winnertz <winnie@debian.org>  Wed, 05 Aug 2009 17:20:37 +0200

wifi-radar (1.9.9-1) unstable; urgency=low

  * Add patch to fix FTBFS because of double unpatch target (Closes: #474886)
  * Packaging new upstream version.
  * Fix copyright.

 -- Patrick Winnertz <winnie@debian.org>  Tue, 15 Apr 2008 00:15:34 +0200

wifi-radar (1.9.8-5) unstable; urgency=low

  * Argh.. forgot to remove x which I've added for testing purposes from the
    wifi-radar.patch file. 

 -- Patrick Winnertz <winnie@debian.org>  Wed, 16 Jan 2008 23:25:26 +0100

wifi-radar (1.9.8-4) unstable; urgency=low

  * Remove Web Site from Control: Create Homepage tag. (Closes: #440599)
  * Switch from ipw backend to wext backend. (Closes: #460628)
  * Rewrote patch to fix behaviour if auto_detect doesn't work.
    Add errorhandler for dh_installinit in order to not fail on upgrade or remove
    (Closes: #461099) 

 -- Patrick Winnertz <winnie@debian.org>  Wed, 16 Jan 2008 18:07:16 +0100

wifi-radar (1.9.8-3) unstable; urgency=low

  * Modified desktop file again. Forgot to add a -X to su-to-root
    (Closes: #458592)
  * Prevents wifi-radar from crashing when no wlan-device is available
    (Closes: #458115) (Closes: #458890)
  * Modified init script to use the correct path of the config file. 
    (Closes: #458892)

 -- Patrick Winnertz <winnie@debian.org>  Thu, 10 Jan 2008 18:26:06 +0100

wifi-radar (1.9.8-2) unstable; urgency=low

  * Modified menu file to fit the newest menu policy.
  * Bumped Standards-Version to 3.7.3. No other changes needed.
  * Register initscript with update-rc.d
        - Copied init_script to debian dir
        - Added lsb header
        - Added force-reload option
  * Upstream Desktop file was incorrect, therefore added a patch

 -- Patrick Winnertz <winnie@debian.org>  Sun, 16 Dec 2007 13:37:18 +0100

wifi-radar (1.9.8-1) unstable; urgency=low

  * Packaging new upstream version (Closes: #425231)
  * Corrected watch file to work properly.
  * Adjusted patches for new version
  * Install upstream CHANGE.LOG to /usr/share/doc/wifi-radar
  * Add root check (Closes: 447885)
  * Remove menu as dependency for wifi-radar (Closes: 450780)

 -- Patrick Winnertz (winnie) <winnie@debian.org>  Wed, 05 Dec 2007 14:24:57 +0100

wifi-radar (1.9.7-3) unstable; urgency=low

  * Added dutch translation of debconf questions. Thanks to Bart Cornelis
    (Closes: #415515)
  * Added japanese translation of debconf questions. Thanks to Kobayashi
    Noritada. (Closes: #414296)

 -- Patrick Winnertz <patrick.winnertz@skolelinux.org>  Tue, 20 Mar 2007 09:32:20 +0100

wifi-radar (1.9.7-2) unstable; urgency=low

  * Added spanish translation of debconf questions (Closes: #411225)
  * Added Portuguese translation for debconf messages (Closes: #412037)

 -- Patrick Winnertz <patrick.winnertz@skolelinux.org>  Sat, 17 Feb 2007 11:23:42 +0100

wifi-radar (1.9.7-1) unstable; urgency=low

  * New upstream release available. (Closes: #402929)
  * Removed debian directory from upstream tarball and rebuilt tarball.
  * Removed dependency against lsb-base because no
    init scripts are shipped with the package. (Closes: #402049)



=== debian/control ===
Source: wifi-radar
Section: net
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: cdbs, debhelper (>= 5), po-debconf, imagemagick
Standards-Version: 3.9.1
Homepage: http://wifi-radar.tuxfamily.org/

Package: wifi-radar
Architecture: all
Depends: ${misc:Depends}, python, python-gtk2 (>= 2.0), isc-dhcp-client | dhcp-client, wireless-tools, menu
Recommends: wpasupplicant
Description: graphical utility for managing Wi-Fi profiles
 WiFi Radar enables you to scan for available wireless networks and create
 profiles containing the network configuration options for your preferred
 networks.  You can drag and drop your preferred networks to arrange the
 profile priority.
 .
 You need to have root access to use this program.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

DH_VERBOSE_ALL = 1
DEB_INSTALL_DOCS_ALL =
DEB_INSTALL_CHANGELOGS_ALL = 
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(DEB_DESTDIR)
DEB_DH_INSTALLINIT_ARGS = --error-handler=errorhandler

build/wifi-radar:: debian/wifi-radar.xpm

debian/wifi-radar.xpm: pixmaps/wifi_radar_32x32.png
	convert $< $@

binary-install/wifi-radar::
	dh_install debian/wifi-radar.xpm usr/share/pixmaps/

clean::
	rm -f debian/wifi-radar.xpm

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
http://wifi-radar.tuxfamily.org/pub/wifi-radar-(.*).tar.bz2
